using System;
using System.Globalization;
using System.Windows.Data;


namespace Hardcodet.Wpf.Converters
{
  /// <summary>
  /// This converter is used to check if a value is of type string.Empty..
  /// </summary>
  [ValueConversion(typeof(string), typeof(bool))]
  public class IsEmptyStringConverter : ConverterExtension
  {
    /// <summary>
    /// Checks whether the value is <see cref="String.Empty"/>.
    /// </summary>
    public override object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      string s = value as string;
      return (s == string.Empty);
    }

  }
}