﻿using System;
using System.Reflection;

namespace Hardcodet.Wpf.Util
{
  /// <summary>
  /// Simplifies the creation of pack URIs.
  /// </summary>
  public static class Pack
  {
    /// <summary>
    /// Converts a realtive file path into a pack URI.
    /// </summary>
    /// <param name="relativeFile">Path referring to a given file source.</param>
    /// <returns>Pack URI pointing to the referenced file.</returns>
    public static Uri MakePackUri(string relativeFile)
    {
      //get assembly name and pull out the short name.
      Assembly a = typeof(Pack).Assembly;
      string assemblyShortName = a.ToString().Split(',')[0];

      string uriString = string.Format("pack://application:,,,/{0};component/{1}", assemblyShortName, relativeFile);
      return new Uri(uriString);
    }
  }
}
